com.opensymphony.xwork2.validator.annotations

## Annotation Type UrlValidator

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface UrlValidator

  This validator checks that a field is a valid URL.

       @UrlValidator(message = "Default message", key = "i18n.key", shortCircuit = true)

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `fieldName`
    `String` | `key`
    `String` | `message`
    `String[]` | `messageParams`
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
    `ValidatorType` | `type`
    `String` | `urlRegex`
    `String` | `urlRegexExpression`

- - ### Element Detail

    - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

  - - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

  - - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

  - - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

  - - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

  - - #### type

          public abstract ValidatorType type

      Returns:
        The validation type for this field/method.
      Default:
        com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

  - - #### urlRegex

          public abstract String urlRegex

      Returns:
        Defines regex to use to validate url
      Default:
        ""

  - - #### urlRegexExpression

          public abstract String urlRegexExpression

      Returns:
        Defines regex as an expression which will be evaluated to string and used to validate url
      Default:
        ""

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.